### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InterpolatedForwardCurve< Interpolator > Class Template Reference
Term structures

YieldTermStructure based on interpolation of forward rates. More...

`#include <ql/termstructures/yield/forwardcurve.hpp>`

Inheritance diagram for InterpolatedForwardCurve< Interpolator >:
[legend]

List of all members.

## Public Member Functions

| InterpolatedForwardCurve (const std::vector< Date > &dates, const std::vector< Rate > &forwards, const DayCounter &dayCounter, const Calendar &cal=Calendar(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedForwardCurve (const std::vector< Date > &dates, const std::vector< Rate > &forwards, const DayCounter &dayCounter, const Calendar &calendar, const Interpolator &interpolator)
| InterpolatedForwardCurve (const std::vector< Date > &dates, const std::vector< Rate > &forwards, const DayCounter &dayCounter, const Interpolator &interpolator)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
other inspectors
const std::vector< Time > & | times () const
const std::vector< Date > & | dates () const
const std::vector< Real > & | data () const
const std::vector< Rate > & | forwards () const
std::vector< std::pair< Date, Real > > | nodes () const

## Protected Member Functions

| InterpolatedForwardCurve (const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedForwardCurve (const Date &referenceDate, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedForwardCurve (Natural settlementDays, const Calendar &, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
ForwardRateStructure implementation
Rate | forwardImpl (Time t) const
| instantaneous forward-rate calculation
Rate | zeroYieldImpl (Time t) const

## Protected Attributes

std::vector< Date > | dates_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedForwardCurve< Interpolator >

YieldTermStructure based on interpolation of forward rates.

## Member Function Documentation

Rate zeroYieldImpl | ( | Time |  | ) | const`[protected, virtual]`

Returns the zero yield rate for the given date calculating it from the instantaneous forward rate as

Warning:
  This default implementation uses an highly inefficient and possibly wildly inaccurate numerical integration. Derived classes should override it if a more efficient implementation is available.

Reimplemented from ForwardRateStructure.